var isloadingNow = false;
var detailVal = null;
var commentStr=null;
var zanidStr=null;
(function($) {

	$.fn.scrollPagination = function(options) {

		var opts = $.extend($.fn.scrollPagination.defaults, options);
		var target = opts.scrollTarget;
		if (target == null) {
			target = obj;
		}
		opts.scrollTarget = target;

		return this.each(function() {
			$.fn.scrollPagination.init($(this), opts);
		});

	};

	$.fn.stopScrollPagination = function() {
		return this.each(function() {
			$(this).attr('scrollPagination', 'disabled');
		});

	};

	function get_Url(url, param) {
		var temp = url + '?';
		for (var p in param) {
			temp += '&' + p + '=' + param[p];
		}
		return temp;
	}


	$.fn.scrollPagination.loadContent = function(obj, opts) {
		var target = opts.scrollTarget;
		var mayLoadContent = $(target).scrollTop() + opts.heightOffset >= $(document).height() - $(target).height();
		if (mayLoadContent) {
			if (isloadingNow) {
				return;
			}
			if (opts.beforeLoad != null) {
				opts.beforeLoad();
			}
			$(obj).children().attr('rel', 'loaded');
			isloadingNow = true;

			console.info("get_url::" + get_Url(opts.contentPage, opts.contentData));

			$.ajax({
				type : 'POST',
				url : opts.contentPage,
				timeout : 10000,
				data : opts.contentData,
				success : function(data) {
                    dismissWaitDialog();
					var arr = data;
					var isnoresult = false;
					if (arr.length > 0) {
						opts.contentData.lastCommentId = arr[arr.length-1].commentId;
						isnoresult = false;
						for (var i = 0; i < arr.length; i++) {
							var temp = createItemData(arr[i]);
							$(obj).append('<li>' + temp + '</li>');
							addAttributeImgs(arr[i].commentId);
							addTouchListenerToItem(arr[i]);
						}
                        for (var i = 0; i < arr.length; i++){
                            if(i==0){
                                commentStr=arr[0].commentId;
                                zanidStr="'"+commentStr+"'";
                            }else{
                                commentStr=arr[i].commentId;
                                zanidStr+=','+"'"+commentStr+"'";
                            }
                        }
                        client_IszanZixun(zanidStr);
					} else {
						isnoresult = true;
					}
					var objectsRendered = $(obj).children('[rel!=loaded]');
					if (opts.afterLoad != null) {
						opts.afterLoad(objectsRendered, isnoresult);
					}
					isloadingNow = false;
				},
				error : function(XMLHttpRequest, textStatus, errorThrown) {
					dismissWaitDialog();
					isloadingNow = false;
					var objectsRendered = $(obj).children('[rel!=loaded]');
					if (opts.afterLoad != null) {
						var isnoresult = false;
						opts.afterLoad(null, isnoresult);
					}
				},
				dataType : 'jsonp'
			});
		}
	};

	$.fn.scrollPagination.init = function(obj, opts) {
		var target = opts.scrollTarget;
		$(obj).attr('scrollPagination', 'enabled');
		$(target).scroll(function(event) {
			if ($(obj).attr('scrollPagination') == 'enabled') {
				$.fn.scrollPagination.loadContent(obj, opts);
			} else {
				event.stopPropagation();
			}
		});

		$.fn.scrollPagination.loadContent(obj, opts);

	};

	$.fn.scrollPagination.defaults = {
		'contentPage' : null,
		'contentData' : {},
		'beforeLoad' : null,
		'afterLoad' : null,
		'scrollTarget' : null,
		'heightOffset' : 0
	};
})(jQuery);



