
function parseDate(datestr) {
    var datenow = new Date();
    var time = new Date(datestr * 1000);
    var yearnow = datenow.getFullYear();
    var yeartime = time.getFullYear();
    var monthnow = datenow.getMonth() + 1;
    var monthtime = time.getMonth() + 1;
    var daynow = datenow.getDate();
    var daytime = time.getDate();
    
    
    if(isNaN(daytime)){
        return datestr;
    }
    
    var resultstr = "";
    if (yearnow == yeartime && monthnow == monthtime && daynow == daytime) {
        resultstr += '今天';
    } else if (yearnow == yeartime && monthnow == monthtime && daynow == daytime + 1) {
        resultstr += '昨天';
    } else {
        if (monthtime < 10) {
            resultstr += '0' + monthtime;
        } else {
            resultstr += monthtime;
        }
        resultstr += '-';
        if (daytime < 10) {
            resultstr += '0' + daytime;
        } else {
            resultstr += daytime;
        }
    }
    var hours = time.getHours();
    var minutes = time.getMinutes();
    resultstr += ' ';
    if (hours < 10) {
        resultstr += '0' + hours;
    } else {
        resultstr += hours;
    }
    resultstr += ':';
    if (minutes < 10) {
        resultstr += '0' + minutes;
    } else {
        resultstr += minutes;
    }
    return resultstr;
}

function addTouchListener(domId, hoverClass) {
	var obj = document.getElementById(domId);
	if (obj == null) {
		return;
	}
	obj.addEventListener('touchstart', function(event) {
		// 如果这个元素的位置内只有一个手指的话
		if (event.targetTouches.length == 1) {
			event.preventDefault();
			obj.removeAttribute("class", hoverClass);
			obj.setAttribute("class", hoverClass + '_hover');
		}
	}, false);
	obj.addEventListener('touchend', function(event) {
		// 如果这个元素的位置内只有一个手指的话
		// if (event.targetTouches.length == 1) {
		event.preventDefault();
		obj.removeAttribute("class", hoverClass + '_hover');
		obj.setAttribute("class", hoverClass);
		obj.click();
		//}
	}, false);
}



